Menu

## KanjiTest extends DatainterfaceTestAbstract
in package

KanjiTest.php : 18

Tests the Kanji class

### Table of Contents

$FQN : string
$QRData : QRData
$reflection : ReflectionClass
$testdata : string
maskPatternProvider() : array<string|int, array<string|int, int>>
stringValidateProvider() : array<string|int, mixed>
  isKanji() should pass on Kanji/SJIS characters and fail on everything else
testCodeLengthOverflowException() : void
  Tests if an exception is thrown on data overflow
testDataModeInstance() : void
  Verifies the QRDataModeInterface instance
testGetMinimumVersion() : void
  Tests getting the minimum QR version for the given data
testGetMinimumVersionException() : void
  Tests if an exception is thrown when the data exceeds the maximum version while auto detecting
testInitMatrix() : void
  Tests initializing the data matrix
testInstance() : void
  Verifies the QRData instance
testInvalidDataException() : void
  Tests if an exception is thrown when an invalid character is encountered
testInvalidDataOnEmptyException() : void
  Tests if an exception is thrown if the given string is empty
testValidateString() : void
  Tests if a string is properly validated for the respective data mode
setUp() : void

### Properties

#### $FQN

KanjiTest.php : 20
`protected string $FQN = \chillerlan\QRCode\Data\Kanji::class`

#### $QRData

DatainterfaceTestAbstract.php : 27
`protected QRData $QRData`

#### $reflection

DatainterfaceTestAbstract.php : 26
`protected ReflectionClass $reflection`

#### $testdata

KanjiTest.php : 21
`protected string $testdata = '茗荷茗荷茗荷茗荷茗荷'`

### Methods

#### maskPatternProvider()

DatainterfaceTestAbstract.php : 56
`public maskPatternProvider() : array<string|int, array<string|int, int>>`

##### Tags

see
  testInitMatrix()

##### Return values

array<string|int, array<string|int, int>> —

#### stringValidateProvider()

KanjiTest.php : 26

isKanji() should pass on Kanji/SJIS characters and fail on everything else

`public stringValidateProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### testCodeLengthOverflowException()

DatainterfaceTestAbstract.php : 114

Tests if an exception is thrown on data overflow

`public testCodeLengthOverflowException() : void`

##### Return values

void —

#### testDataModeInstance()

DatainterfaceTestAbstract.php : 46

Verifies the QRDataModeInterface instance

`public testDataModeInstance() : void`

##### Return values

void —

#### testGetMinimumVersion()

DatainterfaceTestAbstract.php : 77

Tests getting the minimum QR version for the given data

`public testGetMinimumVersion() : void`

##### Return values

void —

#### testGetMinimumVersionException()

DatainterfaceTestAbstract.php : 101

Tests if an exception is thrown when the data exceeds the maximum version while auto detecting

`public testGetMinimumVersionException() : void`

##### Return values

void —

#### testInitMatrix()

DatainterfaceTestAbstract.php : 65

Tests initializing the data matrix

`public testInitMatrix(int $maskPattern) : void`

##### Parameters

$maskPattern : int

##### Tags

dataProvider

  maskPatternProvider

##### Return values

void —

#### testInstance()

DatainterfaceTestAbstract.php : 39

Verifies the QRData instance

`public testInstance() : void`

##### Return values

void —

#### testInvalidDataException()

DatainterfaceTestAbstract.php : 124

Tests if an exception is thrown when an invalid character is encountered

`public testInvalidDataException() : void`

##### Return values

void —

#### testInvalidDataOnEmptyException()

DatainterfaceTestAbstract.php : 134

Tests if an exception is thrown if the given string is empty

`public testInvalidDataOnEmptyException() : void`

##### Return values

void —

#### testValidateString()

DatainterfaceTestAbstract.php : 93

Tests if a string is properly validated for the respective data mode

`public testValidateString(string $string, bool $expected) : void`

##### Parameters

$string : string
$expected : bool

##### Tags

dataProvider

  stringValidateProvider

##### Return values

void —

#### setUp()

DatainterfaceTestAbstract.php : 31
`protected setUp() : void`

##### Return values

void —

## Search results